Rightmove
Rightmove: Search
Search from Rightmove. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
rightmove
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/rightmove/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/rightmove/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/rightmove/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/rightmove/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/rightmove/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/rightmove/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/rightmove/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/rightmove/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "rightmove.search",
"params": {
"location": "London",
"channel": "BUY"
},
"response": {
"data": {
"properties": [
{
"id": 90486465,
"bedrooms": 3,
"bathrooms": 2,
"numberOfImages": 20,
"numberOfFloorplans": 1,
"numberOfVirtualTours": 0,
"summary": "This luxurious 3 bedroom duplex penthouse flat with lift access and parking has been newly-renovated, presenting high quality interiors throughout. It features an open plan reception leading onto a sizeable private terrace. Cavaye Place is …",
"displayAddress": "Cavaye Place, Chelsea, London, SW10",
"countryCode": "GB",
"location": {
"latitude": 51.486678,
"longitude": -0.180225
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_476x317.jpeg",
"url": "property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f.jpeg",
"caption": "Picture No. 11"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/d581aed8a/90486465/d581aed8ae17ec809a2f45944dd1989c_max_476x317.jpeg",
"url": "property-photo/d581aed8a/90486465/d581aed8ae17ec809a2f45944dd1989c.jpeg",
"caption": "Picture No. 15"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/419fee10b/90486465/419fee10b2b2dffd88cce583d6f82033_max_476x317.jpeg",
"url": "property-photo/419fee10b/90486465/419fee10b2b2dffd88cce583d6f82033.jpeg",
"caption": "Picture No. 06"
}
],
"propertySubType": "Apartment",
"tenure": {
"tenureType": "LEASEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-07-03T22:30:31Z"
},
"price": {
"amount": 1495000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": true,
"featuredProperty": true,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 298991,
"brandPlusLogoURI": "/partner-logo/42794795-PRODUCTS_LOGO-1770220850955.png",
"contactTelephone": "03330 389608",
"branchDisplayName": "OB Private, Mayfair",
"branchName": "Mayfair",
"brandTradingName": "OB Private",
"branchLandingPageUrl": "/estate-agents/agent/OB-Private/Mayfair-298991.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": true,
"commercial": false,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-03-26T16:51:19Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/42794795-PRODUCTS_LOGO-1770220850955.png",
"primaryBrandColour": "#151c33",
"premiumListingFeatures": [
"KEY_FEATURES",
"VIDEO",
"LARGER_LISTING"
]
},
"transactionType": "buy",
"productLabel": {
"productLabelText": "Premium Listing",
"spotlightLabel": false
},
"commercial": false,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "1,285 sq. ft.",
"showOnMap": true,
"propertyUrl": "/properties/90486465#/?channel=RES_BUY",
"contactUrl": "/property-for-sale/contactBranch.html?propertyId=90486465",
"channel": "BUY",
"firstVisibleDate": "2026-07-03T22:24:14Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-23T04:52:13Z",
"enhancedListing": false,
"propertyImages": {
"images": [
"…",
"…",
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_476x317.jpeg",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_296x197.jpeg"
},
"formattedBranchName": " by OB Private, Mayfair",
"addedOrReduced": "Added on 03/07/2026",
"formattedDistance": "",
"heading": "Featured Property",
"propertyTypeFullDescription": "3 bedroom apartment for sale",
"displayStatus": "",
"isRecent": false,
"hasBrandPlus": true,
"listing_id": "90486465",
"branch_id": 298991
},
{
"id": 760770556763601,
"bedrooms": 0,
"numberOfImages": 3,
"numberOfFloorplans": 0,
"numberOfVirtualTours": 0,
"summary": "An exceptional prime office to residential opportunity in the heart of Westminster",
"displayAddress": "One Page Street, London, SW1P 4PQ",
"countryCode": "GB",
"location": {
"latitude": 51.493786,
"longitude": -0.12729
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_476x317.jpeg",
"url": "property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96.jpeg"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/644d6165a/760770556763601/644d6165a64631d1df9a0f5e6430a0c5_max_476x317.jpeg",
"url": "property-photo/644d6165a/760770556763601/644d6165a64631d1df9a0f5e6430a0c5.jpeg"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/6231f9713/760770556763601/6231f971326a209abece4ee0e932522d_max_476x317.jpeg",
"url": "property-photo/6231f9713/760770556763601/6231f971326a209abece4ee0e932522d.jpeg"
}
],
"propertySubType": "Land",
"tenure": {
"tenureType": "FREEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-06-30T16:47:05Z"
},
"price": {
"amount": 65000000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": false,
"featuredProperty": false,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 208037,
"brandPlusLogoURI": "/partner-logo/11692847-PRODUCTS_LOGO-1766058716.jpeg",
"contactTelephone": "020 3909 7811",
"branchDisplayName": "Savills, Margaret Street- Development",
"branchName": "Margaret Street- Development",
"brandTradingName": "Savills",
"branchLandingPageUrl": "/estate-agents/agent/Savills/Margaret-Street--Development-208037.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": false,
"commercial": true,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-06-30T17:28:43Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/11692847-PRODUCTS_LOGO-1766058716.jpeg"
},
"transactionType": "buy",
"productLabel": {
"spotlightLabel": false
},
"commercial": true,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "",
"showOnMap": true,
"propertyUrl": "/properties/760770556763601#/?channel=COM_BUY",
"contactUrl": "/commercial-property-for-sale/contactBranch.html?propertyId=760770556763601",
"channel": "COMMERCIAL_BUY",
"firstVisibleDate": "2026-06-30T16:41:29Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-22T06:38:22Z",
"keyFeatures": [
{
"order": 1,
"description": "Freehold office building in Westminster formerly single-let to Burberry Limited.",
"htmlDescription": "Freehold office building in Westminster formerly single-let to Burberry Limited."
},
{
"order": 2,
"description": "Refurbishment and recladding of the façade undertaken by Derwent London in 2012.",
"htmlDescription": "Refurbishment and recladding of the façade undertaken by Derwent London in 2012."
},
{
"order": 3,
"description": "Approximately 125,272 sq ft (11,638 sqm) NIA, 165,982 sqft GIA (15,420 sqm).",
"htmlDescription": "Approximately 125,272 sq ft (11,638 sqm) NIA, 165,982 sqft GIA (15,420 sqm)."
}
],
"enhancedListing": false,
"propertyImages": {
"images": [
"…",
"…",
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_476x317.jpeg",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_296x197.jpeg"
},
"formattedBranchName": "Marketed by Savills, Margaret Street- Development",
"addedOrReduced": "",
"formattedDistance": "",
"heading": "",
"propertyTypeFullDescription": "Land for sale",
"displayStatus": "",
"isRecent": false,
"hasBrandPlus": false,
"listing_id": "760770556763601",
"branch_id": 208037
},
{
"id": 94619721,
"bedrooms": 2,
"bathrooms": 1,
"numberOfImages": 1,
"numberOfFloorplans": 0,
"numberOfVirtualTours": 0,
"summary": "This is a test property|",
"displayAddress": "Great Titchfield Street, London, W1W",
"countryCode": "GB",
"location": {
"latitude": 51.518155,
"longitude": -0.140158
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_476x317.png",
"url": "property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f.png"
}
],
"propertySubType": "Flat",
"tenure": {
"tenureType": "LEASEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-10-22T15:18:08Z"
},
"price": {
"amount": 50000000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": false,
"featuredProperty": false,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 86223,
"brandPlusLogoURI": "/partner-logo/34443567-PRODUCTS_LOGO-1781700490314.jpg",
"contactTelephone": "020 4652 4492",
"branchDisplayName": "KEAZE LIMITED, Covering London",
"branchName": "Covering London",
"brandTradingName": "KEAZE LIMITED",
"branchLandingPageUrl": "/estate-agents/agent/KEAZE-LIMITED/Covering-London-86223.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": true,
"commercial": false,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-10-22T14:58:14Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/34443567-PRODUCTS_LOGO-1781700490314.jpg",
"premiumListingFeatures": [
"KEY_FEATURES",
"VIDEO",
"LARGER_LISTING"
]
},
"transactionType": "buy",
"productLabel": {
"spotlightLabel": false
},
"commercial": false,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "700 sq. ft.",
"showOnMap": true,
"propertyUrl": "/properties/94619721#/?channel=RES_BUY",
"contactUrl": "/property-for-sale/contactBranch.html?propertyId=94619721",
"channel": "BUY",
"firstVisibleDate": "2026-10-22T15:12:54Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-22T15:18:08Z",
"keyFeatures": [
{
"order": 1,
"description": "This is a test",
"htmlDescription": "This is a test"
},
{
"order": 2,
"description": "Open plan living area",
"htmlDescription": "Open plan living area"
},
{
"order": 3,
"description": "Lots of natural light",
"htmlDescription": "Lots of natural light"
}
],
"enhancedListing": false,
"propertyImages": {
"images": [
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_476x317.png",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_296x197.png"
},
"formattedBranchName": " by KEAZE LIMITED, Covering London",
"addedOrReduced": "Added yesterday",
"formattedDistance": "",
"heading": "",
"propertyTypeFullDescription": "2 bedroom flat for sale",
"displayStatus": "",
"isRecent": true,
"hasBrandPlus": true,
"listing_id": "94619721",
"branch_id": 86223
}
],
"count": 60081,
"page": 1,
"page_size": 24,
"channel": "BUY",
"location_identifier": "REGION^87490",
"has_next_page": true,
"record_limit": {
"max_page": 41,
"approx_records_per_search": 1025,
"note": "Rightmove caps a single search sweep at roughly 1,000 records over 41 pages. Narrow the location to go deeper."
}
},
"meta": {
"attempts": 1,
"lookups": 1,
"duration_ms": 1253
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Rightmove API overview for every Rightmove endpoint.
Authorizations
Query Parameters
Maximum string length:
120Maximum string length:
60Maximum string length:
120Available options:
BUY, RENT, COMMERCIAL_BUY, COMMERCIAL_RENT Maximum string length:
60Maximum string length:
60Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/rightmove/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/rightmove/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/rightmove/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/rightmove/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/rightmove/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/rightmove/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/rightmove/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/rightmove/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "rightmove.search",
"params": {
"location": "London",
"channel": "BUY"
},
"response": {
"data": {
"properties": [
{
"id": 90486465,
"bedrooms": 3,
"bathrooms": 2,
"numberOfImages": 20,
"numberOfFloorplans": 1,
"numberOfVirtualTours": 0,
"summary": "This luxurious 3 bedroom duplex penthouse flat with lift access and parking has been newly-renovated, presenting high quality interiors throughout. It features an open plan reception leading onto a sizeable private terrace. Cavaye Place is …",
"displayAddress": "Cavaye Place, Chelsea, London, SW10",
"countryCode": "GB",
"location": {
"latitude": 51.486678,
"longitude": -0.180225
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_476x317.jpeg",
"url": "property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f.jpeg",
"caption": "Picture No. 11"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/d581aed8a/90486465/d581aed8ae17ec809a2f45944dd1989c_max_476x317.jpeg",
"url": "property-photo/d581aed8a/90486465/d581aed8ae17ec809a2f45944dd1989c.jpeg",
"caption": "Picture No. 15"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/419fee10b/90486465/419fee10b2b2dffd88cce583d6f82033_max_476x317.jpeg",
"url": "property-photo/419fee10b/90486465/419fee10b2b2dffd88cce583d6f82033.jpeg",
"caption": "Picture No. 06"
}
],
"propertySubType": "Apartment",
"tenure": {
"tenureType": "LEASEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-07-03T22:30:31Z"
},
"price": {
"amount": 1495000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": true,
"featuredProperty": true,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 298991,
"brandPlusLogoURI": "/partner-logo/42794795-PRODUCTS_LOGO-1770220850955.png",
"contactTelephone": "03330 389608",
"branchDisplayName": "OB Private, Mayfair",
"branchName": "Mayfair",
"brandTradingName": "OB Private",
"branchLandingPageUrl": "/estate-agents/agent/OB-Private/Mayfair-298991.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": true,
"commercial": false,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-03-26T16:51:19Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/42794795-PRODUCTS_LOGO-1770220850955.png",
"primaryBrandColour": "#151c33",
"premiumListingFeatures": [
"KEY_FEATURES",
"VIDEO",
"LARGER_LISTING"
]
},
"transactionType": "buy",
"productLabel": {
"productLabelText": "Premium Listing",
"spotlightLabel": false
},
"commercial": false,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "1,285 sq. ft.",
"showOnMap": true,
"propertyUrl": "/properties/90486465#/?channel=RES_BUY",
"contactUrl": "/property-for-sale/contactBranch.html?propertyId=90486465",
"channel": "BUY",
"firstVisibleDate": "2026-07-03T22:24:14Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-23T04:52:13Z",
"enhancedListing": false,
"propertyImages": {
"images": [
"…",
"…",
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_476x317.jpeg",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/46118abd0/90486465/46118abd08e5ba9b2c9a6aaeb7da833f_max_296x197.jpeg"
},
"formattedBranchName": " by OB Private, Mayfair",
"addedOrReduced": "Added on 03/07/2026",
"formattedDistance": "",
"heading": "Featured Property",
"propertyTypeFullDescription": "3 bedroom apartment for sale",
"displayStatus": "",
"isRecent": false,
"hasBrandPlus": true,
"listing_id": "90486465",
"branch_id": 298991
},
{
"id": 760770556763601,
"bedrooms": 0,
"numberOfImages": 3,
"numberOfFloorplans": 0,
"numberOfVirtualTours": 0,
"summary": "An exceptional prime office to residential opportunity in the heart of Westminster",
"displayAddress": "One Page Street, London, SW1P 4PQ",
"countryCode": "GB",
"location": {
"latitude": 51.493786,
"longitude": -0.12729
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_476x317.jpeg",
"url": "property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96.jpeg"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/644d6165a/760770556763601/644d6165a64631d1df9a0f5e6430a0c5_max_476x317.jpeg",
"url": "property-photo/644d6165a/760770556763601/644d6165a64631d1df9a0f5e6430a0c5.jpeg"
},
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/6231f9713/760770556763601/6231f971326a209abece4ee0e932522d_max_476x317.jpeg",
"url": "property-photo/6231f9713/760770556763601/6231f971326a209abece4ee0e932522d.jpeg"
}
],
"propertySubType": "Land",
"tenure": {
"tenureType": "FREEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-06-30T16:47:05Z"
},
"price": {
"amount": 65000000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": false,
"featuredProperty": false,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 208037,
"brandPlusLogoURI": "/partner-logo/11692847-PRODUCTS_LOGO-1766058716.jpeg",
"contactTelephone": "020 3909 7811",
"branchDisplayName": "Savills, Margaret Street- Development",
"branchName": "Margaret Street- Development",
"brandTradingName": "Savills",
"branchLandingPageUrl": "/estate-agents/agent/Savills/Margaret-Street--Development-208037.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": false,
"commercial": true,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-06-30T17:28:43Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/11692847-PRODUCTS_LOGO-1766058716.jpeg"
},
"transactionType": "buy",
"productLabel": {
"spotlightLabel": false
},
"commercial": true,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "",
"showOnMap": true,
"propertyUrl": "/properties/760770556763601#/?channel=COM_BUY",
"contactUrl": "/commercial-property-for-sale/contactBranch.html?propertyId=760770556763601",
"channel": "COMMERCIAL_BUY",
"firstVisibleDate": "2026-06-30T16:41:29Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-22T06:38:22Z",
"keyFeatures": [
{
"order": 1,
"description": "Freehold office building in Westminster formerly single-let to Burberry Limited.",
"htmlDescription": "Freehold office building in Westminster formerly single-let to Burberry Limited."
},
{
"order": 2,
"description": "Refurbishment and recladding of the façade undertaken by Derwent London in 2012.",
"htmlDescription": "Refurbishment and recladding of the façade undertaken by Derwent London in 2012."
},
{
"order": 3,
"description": "Approximately 125,272 sq ft (11,638 sqm) NIA, 165,982 sqft GIA (15,420 sqm).",
"htmlDescription": "Approximately 125,272 sq ft (11,638 sqm) NIA, 165,982 sqft GIA (15,420 sqm)."
}
],
"enhancedListing": false,
"propertyImages": {
"images": [
"…",
"…",
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_476x317.jpeg",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/26213ed6b/760770556763601/26213ed6b802f47cedac6c6a184d2e96_max_296x197.jpeg"
},
"formattedBranchName": "Marketed by Savills, Margaret Street- Development",
"addedOrReduced": "",
"formattedDistance": "",
"heading": "",
"propertyTypeFullDescription": "Land for sale",
"displayStatus": "",
"isRecent": false,
"hasBrandPlus": false,
"listing_id": "760770556763601",
"branch_id": 208037
},
{
"id": 94619721,
"bedrooms": 2,
"bathrooms": 1,
"numberOfImages": 1,
"numberOfFloorplans": 0,
"numberOfVirtualTours": 0,
"summary": "This is a test property|",
"displayAddress": "Great Titchfield Street, London, W1W",
"countryCode": "GB",
"location": {
"latitude": 51.518155,
"longitude": -0.140158
},
"images": [
{
"srcUrl": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_476x317.png",
"url": "property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f.png"
}
],
"propertySubType": "Flat",
"tenure": {
"tenureType": "LEASEHOLD"
},
"listingUpdate": {
"listingUpdateReason": "new",
"listingUpdateDate": "2026-10-22T15:18:08Z"
},
"price": {
"amount": 50000000,
"frequency": "not specified",
"currencyCode": "GBP",
"displayPrices": [
"…"
]
},
"premiumListing": false,
"featuredProperty": false,
"commercialSearchProminenceSelected": false,
"customer": {
"branchId": 86223,
"brandPlusLogoURI": "/partner-logo/34443567-PRODUCTS_LOGO-1781700490314.jpg",
"contactTelephone": "020 4652 4492",
"branchDisplayName": "KEAZE LIMITED, Covering London",
"branchName": "Covering London",
"brandTradingName": "KEAZE LIMITED",
"branchLandingPageUrl": "/estate-agents/agent/KEAZE-LIMITED/Covering-London-86223.html",
"development": false,
"mediaServerUrl": "https://media.rightmove.co.uk:443",
"showReducedProperties": true,
"hasBrandPlus": true,
"commercial": false,
"showOnMap": true,
"enhancedListing": false,
"buildToRentListing": false,
"buildToRent": false,
"updateDate": "2026-10-22T14:58:14Z",
"brandPlusLogoUrl": "https://media.rightmove.co.uk:443/partner-logo/34443567-PRODUCTS_LOGO-1781700490314.jpg",
"premiumListingFeatures": [
"KEY_FEATURES",
"VIDEO",
"LARGER_LISTING"
]
},
"transactionType": "buy",
"productLabel": {
"spotlightLabel": false
},
"commercial": false,
"development": false,
"residential": true,
"students": false,
"auction": false,
"feesApply": false,
"displaySize": "700 sq. ft.",
"showOnMap": true,
"propertyUrl": "/properties/94619721#/?channel=RES_BUY",
"contactUrl": "/property-for-sale/contactBranch.html?propertyId=94619721",
"channel": "BUY",
"firstVisibleDate": "2026-10-22T15:12:54Z",
"keywordMatchType": "no_keyword",
"saved": false,
"hidden": false,
"onlineViewingsAvailable": false,
"lozengeModel": {},
"streetView": {
"showStreetView": true
},
"updateDate": "2026-10-22T15:18:08Z",
"keyFeatures": [
{
"order": 1,
"description": "This is a test",
"htmlDescription": "This is a test"
},
{
"order": 2,
"description": "Open plan living area",
"htmlDescription": "Open plan living area"
},
{
"order": 3,
"description": "Lots of natural light",
"htmlDescription": "Lots of natural light"
}
],
"enhancedListing": false,
"propertyImages": {
"images": [
"…"
],
"mainImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_476x317.png",
"mainMapImageSrc": "https://media.rightmove.co.uk:443/dir/crop/10:9-16:9/property-photo/a34e8799f/94619721/a34e8799f29feecb8068cb24e52a238f_max_296x197.png"
},
"formattedBranchName": " by KEAZE LIMITED, Covering London",
"addedOrReduced": "Added yesterday",
"formattedDistance": "",
"heading": "",
"propertyTypeFullDescription": "2 bedroom flat for sale",
"displayStatus": "",
"isRecent": true,
"hasBrandPlus": true,
"listing_id": "94619721",
"branch_id": 86223
}
],
"count": 60081,
"page": 1,
"page_size": 24,
"channel": "BUY",
"location_identifier": "REGION^87490",
"has_next_page": true,
"record_limit": {
"max_page": 41,
"approx_records_per_search": 1025,
"note": "Rightmove caps a single search sweep at roughly 1,000 records over 41 pages. Narrow the location to go deeper."
}
},
"meta": {
"attempts": 1,
"lookups": 1,
"duration_ms": 1253
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}